Bug 1276566 - Segmentation fault on Gnome on Wayland
Summary: Segmentation fault on Gnome on Wayland
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-battery-bench
Version: 24
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-30 07:25 UTC by Luya Tshimbalanga
Modified: 2017-04-01 16:54 UTC (History)
2 users (show)

Fixed In Version: gnome-battery-bench-3.15.4-5.fc25 gnome-battery-bench-3.15.4-5.fc26
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-15 18:22:51 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
GNOME Bugzilla 775996 0 None None None Never

Description Luya Tshimbalanga 2015-10-30 07:25:00 UTC
Description of problem:
Gnome-battery-bench segmented fault when starting the test under Gnome on Wayland. Possible reason is due to the dependency of X11 affecting all releases. See additional info.

Version-Release number of selected component (if applicable):
3.15.4

How reproducible:
Always

Steps to Reproduce:
1.Start gnome-battery-bench on Gnome Wayland
2.Press Start button to begin the benchmark test
3.

Actual results:
Segmentation fault

Expected results:
Gnome-battery-bench

Additional info:
$ gnome-battery-bench 

# When pressing the Start button for testing, the result below
(gnome-battery-bench:24252): Gdk-WARNING **: gdkwindow-x11.c:5540 drawable is not a native X11 window
Segmentation fault (core dumped)

Comment 1 Jan Kurik 2016-02-24 15:37:05 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 2 Fedora Update System 2017-03-09 17:00:09 UTC
gnome-battery-bench-3.15.4-5.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c86d2fdb22

Comment 3 Fedora Update System 2017-03-09 17:00:18 UTC
gnome-battery-bench-3.15.4-5.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-388330d846

Comment 4 Fedora Update System 2017-03-09 17:00:23 UTC
gnome-battery-bench-3.15.4-5.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c2ea3e7294

Comment 5 Fedora Update System 2017-03-11 00:20:46 UTC
gnome-battery-bench-3.15.4-5.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c2ea3e7294

Comment 6 Fedora Update System 2017-03-11 13:53:37 UTC
gnome-battery-bench-3.15.4-5.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c86d2fdb22

Comment 7 Fedora Update System 2017-03-11 14:25:24 UTC
gnome-battery-bench-3.15.4-5.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-388330d846

Comment 8 Fedora Update System 2017-03-15 18:22:51 UTC
gnome-battery-bench-3.15.4-5.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2017-04-01 16:54:02 UTC
gnome-battery-bench-3.15.4-5.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.